@import url('https://fonts.googleapis.com/css2?family=Rubik:wght@400;500&display=swap');

body {
    font-family: 'Rubik', sans-serif !important;
    color: var(--black-color);
}

:root {
    --main-color: #D8BB6F;
    --white-color: #FFF;
    --black-color: #000;
    --gray-first-color: #B0B0B0;
    --gray-second-color: #F7F7F7;
    --gray-third-color: #2F2F2F;
    --gray-fourth-color: #E3E3E3;
    --gray-fifth-color: #555555;
    --gray-sixth-color: #C2C2C2;
    --gray-seventh-color: #979797;
    --gray-eighth-color: #F0F0F0;
    --gray-ninth-color: #333027;
    --yellow-first-color: #F7F0DF;
    --yellow-second-color: #E5DBBF;
    --green-first-color: #7AC751;
    --green-second-color: #3F9F65;
    --green-third-color: #F2FFF7;
    --green-fourth-color: #FAFDFB;
    --blue-first-color: #F5F8FA;
    --blue-second-color: #7D9CD9;
    --red-first-color: #E67373;
}

.btn-dropdown {
    position: relative;
    padding: 0 7px;
    border: 0;
}

.dropdown-menu {
    padding: 0;
}

.dropdown-item {
    font-size: 14px;
    background-color: var(--gray-white-color) !important;
}

    .dropdown-item:hover {
        background-color: var(--gray-second-color) !important;
    }

    .dropdown-item:active {
        color: var(--white-color) !important;
        background-color: var(--main-color) !important;
    }

.transparent {
    position: fixed;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    top: 0;
    z-index: 999;
    display: none;
}

.scroll-area {
    overflow: scroll;
    overflow-x: hidden;
    scrollbar-width: thin;
    scrollbar-color: var(--gray-first-color) var(--gray-fourth-color);
}

    .scroll-area::-webkit-scrollbar {
        width: 6px;
    }

    .scroll-area::-webkit-scrollbar-track {
        background: var(--gray-fourth-color);
    }

    .scroll-area::-webkit-scrollbar-thumb {
        background-color: var(--gray-first-color);
    }

.scroll-area-yellow {
    overflow: scroll;
    overflow-x: hidden;
    scrollbar-width: thin;
    scrollbar-color: var(--main-color) var(--gray-fourth-color);
}

    .scroll-area-yellow::-webkit-scrollbar {
        width: 6px;
    }

    .scroll-area-yellow::-webkit-scrollbar-track {
        background: var(--gray-fourth-color);
    }

    .scroll-area-yellow::-webkit-scrollbar-thumb {
        background-color: var(--main-color);
    }

.box-shadow-0 {
    box-shadow: none !important;
}

h1, h2, h3, h4 {
    margin-bottom: 0;
}

ul {
    padding-inline-start: 0;
    margin-bottom: 0;
}

    ul li {
        list-style: none;
    }

.none {
    display: none;
}

.m-t-20 {
    margin-top: 20px;
}

.m-t-24 {
    margin-top: 24px;
}

.m-t-20-m-10 {
    margin-top: 20px;
}

.m-t-40-m-20 {
    margin-top: 40px;
}

.m-t-40 {
    margin-top: 40px;
}

.btn-main {
    background-color: var(--main-color);
    color: var(--white-color);
}

    .btn-main:hover {
        color: var(--white-color);
    }

.btn-cancel {
    background-color: var(--gray-second-color);
    color: var(--black-color);
}

    .btn-cancel:hover {
        color: var(--black-color);
    }

.btn-order-complete {
    font-size: 24px;
    background-color: var(--gray-seventh-color);
    color: var(--white-color);
    padding-left: 100px;
    padding-right: 100px;
}

    .btn-order-complete:hover {
        background-color: var(--green-second-color);
        color: var(--white-color);
    }

.btn-buy {
    background-color: var(--main-color);
    color: var(--white-color);
    font-size: 20px;
    padding: 5px 60px 5px 20px;
    border-radius: 10px;
    font-weight: 500;
    position: relative;
}

    .btn-buy:before {
        width: 15px;
        height: 12px;
        content: '';
        display: block;
        right: 20px;
        top: 14px;
        position: absolute;
        background-repeat: no-repeat;
        background-size: contain;
        background-image: url('../img/icon/arrow.svg');
    }

    .btn-buy:hover {
        color: var(--white-color);
    }

.btn-abort {
    background-color: var(--red-first-color);
    color: var(--white-color);
    position: relative;
    padding-left: 48px;
    padding-right: 20px;
}

    .btn-abort:before {
        width: 18px;
        height: 16px;
        content: '';
        display: block;
        top: 10px;
        margin-left: -28px;
        position: absolute;
        background-repeat: no-repeat;
        background-size: contain;
        background-image: url('../img/icon/warning.svg');
    }

    .btn-abort:hover {
        color: var(--white-color);
    }

.btn-add-to-cart {
    background-color: var(--main-color);
    color: var(--white-color);
    font-weight: 500;
    border-radius: 10px;
    padding: 10px !important;
}

    .btn-add-to-cart:hover {
        color: var(--white-color);
    }

.btn-update {
    background-color: var(--blue-second-color);
    color: var(--white-color);
}

    .btn-update:hover {
        color: var(--white-color);
    }

.product-box {
    background-color: var(--white-color);
    border-radius: 15px;
    padding: 20px;
    border: 1px solid transparent;
}

.product-box-yellow {
    background-color: var(--white-color);
    border-radius: 15px;
    padding: 20px;
    border: 1px solid var(--yellow-first-color);
}

    .product-box:hover, .product-box-yellow:hover {
        border-color: var(--main-color);
        border-width: 2px;
    }

.product-box-image a img {
    width: 100%;
}

.product-box-category {
    margin-top: 40px;
}

    .product-box-category a {
        color: var(--gray-first-color);
        text-decoration: none;
        font-size: 14px;
    }

        .product-box-category a:hover {
            text-decoration: underline;
        }

.product-box-name {
    height: 40px;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

    .product-box-name a {
        color: var(--gray-fifth-color);
        text-decoration: none;
        font-size: 14px;
    }

        .product-box-name a:hover {
            text-decoration: underline;
        }

.product-box-price {
    margin-top: 10px;
    color: var(--main-color);
    text-decoration: none;
    font-size: 24px;
    font-weight: 500;
}

.product-box-price-old {
    margin-top: 10px;
    color: var(--gray-first-color);
    text-decoration: none;
    font-size: 24px;
    font-weight: 400;
    text-decoration: line-through;
}

.colour-palette-item {
    border-radius: 50%;
    width: 20px;
    height: 20px;
}

.colour-palette-black {
    background-color: #000;
}

.colour-palette-red {
    background-color: #C2545B;
}

.colour-palette-purple {
    background-color: #70518B;
}

.colour-palette-green {
    background-color: #518B6A;
}

@media (min-width: 1400px) {
    .container, .container-lg, .container-md, .container-sm, .container-xl, .container-xxl {
        max-width: 1174px;
    }
}

@media only screen and (max-width: 767px) {
    .m-t-20-m-10 {
        margin-top: 10px;
    }

    .m-t-40-m-20 {
        margin-top: 20px;
    }

    .product-box-name {
        height: 96px;
        -webkit-line-clamp: 4;
    }

        .product-box-name a {
            font-size: 16px;
        }

    .product-box-price {
        font-size: 20px;
    }

    .product-box-price-old {
        font-size: 20px;
    }

    .btn-order-complete {
        width: 100%;
        padding-left: 0;
        padding-right: 0;
    }
}
.tree ul {
    display: flex;
    gap: 10px;
}

.tree ul li {
    color: var(--main-color);
}

.tree ul li a {
    color: var(--main-color);
    text-decoration: none;
}

.tree ul li a:hover {
    text-decoration: underline;
}
